Subject: Re: bug#11418: 24.0.96; empty .dir-locals.el gives "Error: (end-of-file)" during opening arbitrary files
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 06 May 2012 13:59:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.97

Albert wrote:

> I consider this an inconvenient error message. If possible: either
> give no error when there is no content, or be more specific where no
> content was found.

I don't know a simple way to distinguish an end-of-file error caused by
a malformed expression from one caused by a file that is either
literally empty or contains nothing but comments. So I just made the
message mention dir-locals.